MetricSetControllerUpdateElementsOnMetricSet Method |
PUT /MetricSet/UpdateElements/{id}
Updates the specified elements on the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("UpdateElements")]
public IActionResult UpdateElementsOnMetricSet(
Guid id,
[FromBodyAttribute] IList<AnalysisElementUsageData> elements,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("UpdateElements")>
Public Function UpdateElementsOnMetricSet (
id As Guid,
<FromBodyAttribute> elements As IList(Of AnalysisElementUsageData),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"UpdateElements")]
IActionResult^ UpdateElementsOnMetricSet(
Guid id,
[FromBodyAttribute] IList<AnalysisElementUsageData^>^ elements,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("UpdateElements")>]
member UpdateElementsOnMetricSet :
id : Guid *
[<FromBodyAttribute>] elements : IList<AnalysisElementUsageData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to update the element on. - elements
- Type: System.Collections.GenericIListAnalysisElementUsageData
The elements to update. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also